Skip to main content
GET
/
surveys
/
{survey_id_or_slug}
/
changes
List survey changes
curl --request GET \
  --url https://api.questra.ai/surveys/{survey_id_or_slug}/changes \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Org-Id: <x-org-id>'
{
  "data": [
    {
      "id": "<string>",
      "changeset_id": "<string>",
      "survey_id": "<string>",
      "resource_type": "survey",
      "resource_id": "<string>",
      "operation": "create",
      "message": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "order": 123,
      "before": {},
      "after": {}
    }
  ],
  "nextCursor": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Org-Id
string
required

The ID of the organization to make requests against. Found on your Settings page.

Path Parameters

survey_id_or_slug
string
required

Unique ID or slug of the survey

Query Parameters

historyId
string

Filter changes by changeset ID

fromId
string

Return changes starting after this change ID

toId
string

Return changes up to and including this change ID

cursor
string

Pagination cursor returned from a previous request

limit
integer
default:25

Maximum number of results to return

Response

200 - application/json

Paginated list of changes

data
object[]
required
nextCursor
string | null
required